### Function

# GObject TypePluginCompleteInterfaceInfo

#### Declaration

    void
    (* GTypePluginCompleteInterfaceInfo) (
      GTypePlugin* plugin,
      GType instance_type,
      GType interface_type,
      GInterfaceInfo* info
    )

#### Description [src]

The type of the `complete_interface_info` function of `GTypePluginClass`.

#### Parameters

`plugin`

  Type: `GTypePlugin`

  The `GTypePlugin`.

  The data is owned by the caller of the function.

`instance_type`

  Type: `GType`

  The `GType` of an instantiatable type to which the interface is added.

`interface_type`

  Type: `GType`

  The `GType` of the interface whose info is completed.

`info`

  Type: `GInterfaceInfo`

  The `GInterfaceInfo` to fill in.

  The data is owned by the caller of the function.